[1] This is a list of possible new features that might be incorporated into a future version of [[SWML]]
(and implemented in [[Whatpm]]/[[SuikaWiki4]]).

* Citation/referencing

Referencing another part of the document by name.

[PRE(example code)[
foo bar [SOURCE].

[SOURCE] some document <http://www.example.com/>.
]PRE]

New block-level element for citation entries.

[PRE(example code)[
 '''['''REFS[
 - [SW09] SuikaWiki/0.9 specification <http://...>
 - [SW10] SuikaWiki/0.10 <http://...>
 - [SWML] SWML specification <http://...>
 ]REFS]
]PRE]

Scope element for source

[PRE(example code)[
  '''['''SRCSCOPE[This feature is not supported in that implementation '''['''SRC[SOMEDOCUMENT]].]]
]PRE]

* WikiFormV2

Trackback-like semi-automated cross-referencing between wiki pages

@@ Need to survey [[SuikaWiki3]]'s [[WikiForm]] usage

* Tables

Table headers (HTML [CODE(HTMLe)@en[[[th]]]] element)

Rowspans (HTML [CODE(HTMLa)@en[[[rowspan]]]] attribute)

Multiline tables

[PRE(example code)[
 ,,
 ,header1
 ,data1
 ,data1
 ,,
 ,header2
 ,data2
 ,data2,
 ,,
]PRE]

* Paragraphs

Breaks (HTML [CODE(HTMLe)@en[[[hr]]]] element)

Example blocks

[PRE(example code)[
  '''['''EXAMPLE(html code)[
  <h1>ABC
  <p>abc
  ]EXMAPLE]
]PRE]

with caption/credit/description?

Dialogs (HTML [CODE(HTMLe)@en[[[dialog]]]] element)

* Sections

Articles (HTML [CODE(HTMLe)@en[[[article]]]] element)

Asides (HTML [CODE(HTMLe)@en[[[asides]]]] element)

Addresses (HTML [CODE(HTMLe)@en[[[address]]]] element)

[PRE(example code)[
  '''['''ARTICLE[
  [1] It's great!
  
  '''['''ADDRESS[
  '''['''FN[Foo-san]] '''['''TIME[2008-12-12 23:44:11Z]]
  ]ADDRESS]
  ]ARTICLE]
]PRE]
(would be generated by #comment form)

* Blockcodes

Same as "[" "PRE(code)[", but no white-space: pre.

* Inlines

Marking ([[HTML]] [CODE(HTMLe)@en[[[mark]]]] element)

Footnotes

Escapes (for syntax characters such as [CODE(char)['''[''']]);
in [[SuikaWiki2]] [CODE[__'''&&'''quot&&__]] was converted to [CODE[[["]]]]
but it is stupid.

* RFC 2119 keywords

[PRE(example code)[
  '''['''MUST[MUST]''']'''
]PRE]
and as such.

* Explicit closing of a block

[2] 
[PRE(example code)[
Not part of the list
- list item
- list item
<!>
not part of the list but belongs to the same block as the first line
]PRE]

* Multilingual texts

e.g. English text & Japanese text

* Advanced diff markup

e.g. RFC 1945/RFC 2068/RFC 2616 diffs with annotations

* See also paragraph

e.g. 
[PRE(example code)[
'''['''SEEALSO[
- '''['''[page1]''']'''
- '''['''[page2]''']'''
]''']'''
]PRE]

or NAV?

* Rejected ideas

Roundtrip for arbitrary XML markup / DOM tree
(difficult and dangerous)

Use other character than [CODE(char)['''[''']] for tags
(difficult because of backward compatibility issue)
